<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author         dumar.penuela
@description  	página que muestra la información de los desbloqueos realizados aun predio

@param  detalleDesBloqueoWVParam  valor del atributo widgetVar del dialog que muestra la ventana con la consulta
detalles del bloqueo histórico del predio

@param  updateStringParam  string que representa el componente que se debe actualizar
para ver el detalle del desbloqueo histórico del predio.

@param  detalleBloqueoPredioDesbWVParam  valor del atributo widgetVar del dialog que muestra la ventana del
detalle del bloqueo histórico del predio


-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="consultaconsultaDesbBloqueoPredioForm">

    <h:panelGrid width="100%">

        <h:panelGrid columns="1" width="100%">
            <h:panelGroup>
                <h:outputLabel value="Número predial: " for="numPredialIdb"
                               styleClass="outputLabelStyle" />
                <h:outputText id="numPredialIdb" styleClass="outputTextStyle"
                              value="#{consultaDatosUbicacionPredio.formatNumeroPredial}" />
            </h:panelGroup>

        </h:panelGrid>

        <p:spacer width="0" height="15" />
        <h:panelGrid columns="2" width="100%">

            <p:dataTable value="#{consultaDatosUbicacionPredio.predioDesBloqueos}"
                         var="currentBloqueo" id="resb" widgetVar="res" paginator="true"
                         rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         emptyMessage="No se encontraron predios marcados"
                         rowKey="#{currentBloqueo.predio.id}">

                <f:facet name="header" >  
                    INFORMACIÓN DE LA MARCACIÓN
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        Tipo marcación								
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.tipoBloqueo}" />
                </p:column>				

                <p:column>
                    <f:facet name="header">
                        RT								
                    </f:facet>
                    <h:selectBooleanCheckbox  
                        value="#{currentBloqueo.restitucionTierras eq 'SI' ? 'true' : 'false'}"  disabled="true"/>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha inicial								
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.fechaInicioBloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha final							
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.fechaTerminaBloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>
                </p:column>


                <p:column>
                    <f:facet name="header">
                        Número Radicación							
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.numeroRadicacion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Entidad						
                    </f:facet>
                    <h:outputText value="#{currentBloqueo.nombreEntidad}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Opción						
                    </f:facet>

                    <p:commandButton styleClass="commandLinkStyle" style="text-decoration:underline;"
                                     title="Ver detalle" icon="ui-icon-search"  
                                     onstart="statusDialog2.show();"
                                     oncomplete="#{detalleBloqueoPredioWVParam}.show(); statusDialog2.hide();"
                                     update="#{updateStringParam}:detallePredioBloqueoForm" immediate="true" ajax="true"> 
                        <f:setPropertyActionListener value="#{currentBloqueo}"
                                                     target="#{consultaDatosUbicacionPredio.predioseleccionado}" />
                    </p:commandButton>

                </p:column>                           

            </p:dataTable>
            <p:dataTable value="#{consultaDatosUbicacionPredio.predioDesBloqueos}"
                         var="currentBloqueoDesb" id="resDesb" widgetVar="res" paginator="true"
                         rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                         emptyMessage="No se encontraron predios marcados"
                         rowKey="#{currentBloqueoDesb.id}">

                <f:facet name="header"  >  
                    INFORMACIÓN DEL DESMARQUE
                </f:facet>


                <p:column>
                    <f:facet name="header">
                        Tipo marcación								
                    </f:facet>
                    <h:outputText value="#{currentBloqueoDesb.tipoDesbloqueo}" />
                </p:column>				

                <p:column>
                    <f:facet name="header">
                        RT								
                    </f:facet>
                    <h:selectBooleanCheckbox  
                        value="#{currentBloqueoDesb.restitucionTierrasDesbloqueo eq 'SI' ? 'true' : 'false'}"  disabled="true"/>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha desmarque								
                    </f:facet>
                    <h:outputText value="#{currentBloqueoDesb.fechaDesbloqueo}">
                        <f:convertDateTime pattern="#{general.formatoFechaHora24}"
                                           locale="es_CO" timeZone="GMT-5:00" />
                    </h:outputText>
                </p:column>



                <p:column>
                    <f:facet name="header">
                        Número Radicación							
                    </f:facet>
                    <h:outputText value="#{currentBloqueoDesb.numeroRadicacionDesbloqueo}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Entidad						
                    </f:facet>
                    <h:outputText value="#{currentBloqueoDesb.entidadDesbloqueo.nombre}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Opción
                    </f:facet>
                    <p:commandButton styleClass="commandLinkStyle" style="text-decoration:underline;"
                                     title="Ver detalle" icon="ui-icon-search"  
                                     onstart="statusDialog2.show();"
                                     oncomplete="#{detalleBloqueoPredioDesbWVParam}.show(); statusDialog2.hide();"
                                     update="#{updateStringParam}:detallePredioBloqueoDesbForm" immediate="true" ajax="true"> 
                        <f:setPropertyActionListener value="#{currentBloqueoDesb}"
                                                     target="#{consultaDatosUbicacionPredio.predioseleccionado}" />
                    </p:commandButton>
                </p:column>  

            </p:dataTable>
        </h:panelGrid>

        <p:outputPanel layout="block" style="text-align:right">
            <p:commandButton value="Cerrar" title="Cierra esta ventana" oncomplete="#{detalleDesBloqueoWVParam}.hide()"
                             icon="ui-icon-circle-close" />
            <p:spacer height="0" width="30" />
        </p:outputPanel>


    </h:panelGrid>

</h:form>
